package com.cool.store.enums.point;

/**
 * @author zhangchenbiao
 * @FileName: ShopStageEnum
 * @Description:店铺阶段
 * @date 2024-04-10 17:34
 */
public enum ShopStageEnum {

    //1选址 2筹建 3开业
    SHOP_STAGE_1(1, "选址"),
    SHOP_STAGE_2(2, "筹建"),
    SHOP_STAGE_3(3, "平台建店"),
    ;

    //店铺阶段
    private Integer shopStage;

    //阶段名称
    private String stageName;



    ShopStageEnum(Integer shopStage, String stageName) {
        this.shopStage = shopStage;
        this.stageName = stageName;
    }

    public static ShopStageEnum getShopStageEnum(Integer shopStage) {
        for (ShopStageEnum shopStageEnum : ShopStageEnum.values()) {
            if (shopStageEnum.getShopStage().equals(shopStage)) {
                return shopStageEnum;
            }
        }
        return null;
    }

    public Integer getShopStage() {
        return shopStage;
    }

    public String getStageName() {
        return stageName;
    }

}
